Opened 2 years ago

Closed 2 years ago

Last modified 2 years ago

#57161 closed defect (fixed)

poppler 0.69.0 build failure on Lion

Reported by: lemzwerg (Werner Lemberg) Owned by: dbevans (David B. Evans)
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc:
Port: poppler

Description

Since release 0.69.0 a C++14 compiler is necessary. For me, compilation fails on Lion.

Replacing -std=c++11 with -std=c++14 in the Portfile seems to work.

Change History (3)

comment:1 Changed 2 years ago by ryandesign (Ryan Schmidt)

Owner: set to dbevans
Port: poppler added
Status: newassigned

comment:2 Changed 2 years ago by mojca (Mojca Miklavec)

Resolution: fixed
Status: assignedclosed

In 782c76728ba85a2f1974ff7dbc12771880e3ad53/macports-ports (master):

poppler: requires C++14

Closes: #57161

comment:3 Changed 2 years ago by mojca (Mojca Miklavec)

Thank you.

Note: See TracTickets for help on using tickets.